corda / net.corda.client.model / NodeMonitorModel

# NodeMonitorModel

`class NodeMonitorModel`

This model exposes raw event streams to and from the node.

### Constructors

<init> | `NodeMonitorModel()` This model exposes raw event streams to and from the node.

### Properties

networkMap | `val networkMap: Observable<MapChange>`
progressTracking | `val progressTracking: Observable<ProgressTrackingEvent>`
proxyObservable | `val proxyObservable: SimpleObjectProperty<CordaRPCOps?>`
stateMachineTransactionMapping | `val stateMachineTransactionMapping: Observable<StateMachineTransactionMapping>`
stateMachineUpdates | `val stateMachineUpdates: Observable<StateMachineUpdate>`
transactions | `val transactions: Observable<SignedTransaction>`
vaultUpdates | `val vaultUpdates: Observable<Update>`

### Functions

register | `fun register(nodeHostAndPort: HostAndPort, username: String, password: String): Unit` Register for updates to/from a given vault. TODO provide an unsubscribe mechanism